Debian Bug report logs - #200715
ITP: stepmania -- rythm and dancing game

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Andrew Lenharth <andrewl@debian.org>

Date: Thu, 10 Jul 2003 02:03:03 UTC

Owned by: Etienne Millon <etienne.millon@gmail.com>

Severity: wishlist

Merged with 201448

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andrew Lenharth <andrewl@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Lenharth <andrewl@debian.org>
To: submit@bugs.debian.org
Subject: ITP: stepmania
Date: Wed, 9 Jul 2003 21:57:58 -0400
Package: wnpp

Stepmania is a rythm game.
License is GPL2

If I cannot find some freely redistributable game files, this may have to go in non-free, based on old arguments over game engines.

The games played by StepMania are rhythm games. Notes scroll up from the bottom of the screen, and the player must hit the corresponding button on the controller in time to the. All games can be played using the keyboard, but the real fun comes when using specially designed controllers, like a dance pad or hand sensors.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Artur R. Czechowski" <arturcz@hell.pl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #10 received at 200715@bugs.debian.org (full text, mbox):

From: "Artur R. Czechowski" <arturcz@hell.pl>
To: andrewl@debian.org, soda@gunnm.org
Cc: 200715@bugs.debian.org, 201448-quiet@bugs.debian.org
Subject: You both want to package stepmania for Debian
Date: Mon, 1 Sep 2003 01:44:32 +0200
Hello
There are two ITP stepmania entries in BTS. I am going to merge those
entries. Please, make an agreement about packaging/maintaining/co-maintaining
this package.

Regards
	Artur
-- 
Na twardzielu dioda gore
	/z pamiętnika administratora/



Changed Bug title. Request was from "Artur R. Czechowski" <arturcz@hell.pl> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from "Artur R. Czechowski" <arturcz@hell.pl> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 200715 201448. Request was from "Artur R. Czechowski" <arturcz@hell.pl> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Message #19 received at 200715-quiet@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: "Andrew Lenharth" <andrewl@debian.org>, <200715-quiet@bugs.debian.org>
Subject: Outstanding ITP - stepmania
Date: Tue, 04 Jan 2005 12:39:13 -0500
This is a batch mailing regarding your stated ITP (Intent To Package)
of the following Debian package; I apologize in advance if it is sent
in error.

	stepmania -- Show me your moves, with this dancing game

Do you still intend to create this package?  If so, please keep the
bugtracking system informed of progress and delays.  ITPs which are
just waiting for a sponsor should be tagged 'patch'; I recommend the
bts script from the devscripts package.

If not, please retitle to RFP (Request For Package), or close the bug,
as is appropriate.

Note that I'm not personally interested in this package; I just want
to keep the WNPP area well-pruned.  Feel free to respond to me
directly, though (but also Cc: the bug if appropriate).

Thanks, and Happy Y2K5,
Justin

References
[0] http://bugs.debian.org/200715



Changed Bug title. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to damog@cerdita.damog.net (David Moreno Garza):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andrew Lenharth <andrewl@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 200715-done@bugs.debian.org (full text, mbox):

From: damog@cerdita.damog.net (David Moreno Garza)
To: 200715-done@bugs.debian.org
Subject: WNPP bug closed
Date: Wed, 14 Sep 2005 21:55:15 -0500 (CDT)
Hello,

This is an automatic mail sent to close the RFP you have reported or 
are involved with.

Your RFP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 600 days.
- It haven't had any activity recently.
- The amount of ITPs on the Debian BTS is huge and we need to
  clean up a bit the place.

As this an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the RFP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 123456
thanks bts

Replacing '123456' for the number of your RFP bug. The subject of the
mail is ignored. Or if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

This is the first mass wnpp closing that will be done. The next close
will be done on inactive RFPs older than 450 days and finally, the
ones older than 365 days (an automatic script will close *inactive*
RFPs when they reach one year old).

A similar process is being applied to the ITP wnpp bugs in these
days.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>  Wed, 14 Sep 2005 21:54:42 -0500



Bug reopened, originator not changed. Request was from David Moreno Garza <damog@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Marcela Tiznado <mtiznado@linux.org.ar> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Andrew Lenharth <andrewl@debian.org>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <little_miry@yahoo.es>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>. Full text and rfc822 format available.

Message #41 received at 200715@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: 200715@bugs.debian.org, 201448@bugs.debian.org
Subject: Status
Date: Sun, 18 Jun 2006 14:12:02 +0200 (CEST)
What's the current status of this ITP?

Shouldn't #200715 and #201448 be joined?

Miry



		
______________________________________________ 
LLama Gratis a cualquier PC del Mundo. 
Llamadas a fijos y móviles desde 1 céntimo por minuto. 
http://es.voice.yahoo.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <little_miry@yahoo.es>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>. Full text and rfc822 format available.

Message #46 received at 200715@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: 200715@bugs.debian.org
Cc: Andrew Lenharth <andrewl@debian.org>
Subject: status of StepMania
Date: Fri, 4 Aug 2006 00:36:23 +0200 (CEST)
Hi,

What's the status of StepMania's ITP

Greetings,
Miry



		
______________________________________________ 
LLama Gratis a cualquier PC del Mundo. 
Llamadas a fijos y móviles desde 1 céntimo por minuto. 
http://es.voice.yahoo.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Steinar H. Gunderson" <sesse@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>. Full text and rfc822 format available.

Message #51 received at 200715@bugs.debian.org (full text, mbox):

From: "Steinar H. Gunderson" <sesse@debian.org>
To: Miriam Ruiz <little_miry@yahoo.es>
Cc: 200715@bugs.debian.org, 201448@bugs.debian.org, g_sm@zewt.org
Subject: Re: Status
Date: Mon, 14 Aug 2006 10:52:08 +0200
[Cc-ing Glenn since he's expressed interest in this ITP earlier]

On Sun, Jun 18, 2006 at 02:12:02PM +0200, Miriam Ruiz wrote:
> What's the current status of this ITP?

I don't know what the status of the original submitters, but I'd be quite
ready to take this ITP over if nobody objected. StepMania is now on its way
to getting a free theme -- AFAICS the graphics, animations and music have
been replaced and only a few things (like sound effects) remain, so if the
current progress continues, it could go into the archive quite soon.

I already have prepackages ready (actually, has had for about a year now), but
they're of course still undistributable due to the offending theme material,
and will have to go to experimental as long as we're talking StepMania 4 here.

> Shouldn't #200715 and #201448 be joined?

They already are merged.

/* Steinar */
-- 
Homepage: http://www.sesse.net/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <little_miry@yahoo.es>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>. Full text and rfc822 format available.

Message #56 received at 200715@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: "Steinar H. Gunderson" <sesse@debian.org>
Cc: 200715@bugs.debian.org, 201448@bugs.debian.org, g_sm@zewt.org
Subject: Re: Status
Date: Mon, 14 Aug 2006 11:31:59 +0200 (CEST)
Hi, thanks for your answer,

 --- "Steinar H. Gunderson" <sesse@debian.org> escribió:

> [Cc-ing Glenn since he's expressed interest in this ITP earlier]
> 
> On Sun, Jun 18, 2006 at 02:12:02PM +0200, Miriam Ruiz wrote:
> > What's the current status of this ITP?
> 
> I don't know what the status of the original submitters, but I'd be quite
> ready to take this ITP over if nobody objected. StepMania is now on its way
> to getting a free theme -- AFAICS the graphics, animations and music have
> been replaced and only a few things (like sound effects) remain, so if the
> current progress continues, it could go into the archive quite soon.
> 
> I already have prepackages ready (actually, has had for about a year now),
> but
> they're of course still undistributable due to the offending theme material,
> and will have to go to experimental as long as we're talking StepMania 4
> here.

It's OK. I was quite interested in the package too. I've been packaging it for
myself for a long time too, that's why I asked. In case you're interested in
packaging the game collaboratively, maybe you can count with the Debian Games
Team. Otherwise I'll be waiting for it, it's one of my favourite games :)

Greetings,
Miry



		
______________________________________________ 
LLama Gratis a cualquier PC del Mundo. 
Llamadas a fijos y móviles desde 1 céntimo por minuto. 
http://es.voice.yahoo.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andrew Lenharth <alenhar2@uiuc.edu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>. Full text and rfc822 format available.

Message #61 received at 200715@bugs.debian.org (full text, mbox):

From: Andrew Lenharth <alenhar2@uiuc.edu>
To: "Steinar H. Gunderson" <sesse@debian.org>, 201448@bugs.debian.org
Cc: Miriam Ruiz <little_miry@yahoo.es>, 200715@bugs.debian.org, g_sm@zewt.org
Subject: Re: Bug#201448: Status
Date: Tue, 15 Aug 2006 09:28:05 -0500
On Mon, 2006-08-14 at 10:52 +0200, Steinar H. Gunderson wrote:
> [Cc-ing Glenn since he's expressed interest in this ITP earlier]
> 
> On Sun, Jun 18, 2006 at 02:12:02PM +0200, Miriam Ruiz wrote:
> > What's the current status of this ITP?
> 
> I don't know what the status of the original submitters, but I'd be quite
> ready to take this ITP over if nobody objected. StepMania is now on its way
> to getting a free theme -- AFAICS the graphics, animations and music have
> been replaced and only a few things (like sound effects) remain, so if the
> current progress continues, it could go into the archive quite soon.

Please be my guest.

Andrew

> I already have prepackages ready (actually, has had for about a year now), but
> they're of course still undistributable due to the offending theme material,
> and will have to go to experimental as long as we're talking StepMania 4 here.
> 
> > Shouldn't #200715 and #201448 be joined?
> 
> They already are merged.
> 
> /* Steinar */
-- 
http://www.lenharth.org/~andrewl/

And without software to do something useful with all that hardware, the
hardware's nothing more than a really complicated space heater.
--Neal Stephenson




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Miriam Ruiz" <little.miry@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>. Full text and rfc822 format available.

Message #66 received at 200715@bugs.debian.org (full text, mbox):

From: "Miriam Ruiz" <little.miry@gmail.com>
To: 201448@bugs.debian.org, 200715@bugs.debian.org
Cc: "Andrew Lenharth" <alenhar2@uiuc.edu>, "Steinar H. Gunderson" <sesse@debian.org>
Subject: I plan to upload version 3.9 to the archive (main)
Date: Sat, 14 Jul 2007 22:22:52 +0200
[Message part 1 (text/plain, inline)]
I plan to upload version 3.9 to the archive. AFAIK, there shouldn't been ant
problem with the theme, as it is original and, even if it tries to mimig
DDR's, no TM is being enforced.

Please tell me if you have any objections. I want to maintain this game
inside the Debian Games Team, so any of you willing to help is welcome.

Greetings,
Miry
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Steinar H. Gunderson" <sgunderson@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>. Full text and rfc822 format available.

Message #71 received at 200715@bugs.debian.org (full text, mbox):

From: "Steinar H. Gunderson" <sgunderson@bigfoot.com>
To: Miriam Ruiz <little.miry@gmail.com>
Cc: 201448@bugs.debian.org, 200715@bugs.debian.org, Andrew Lenharth <alenhar2@uiuc.edu>
Subject: Re: I plan to upload version 3.9 to the archive (main)
Date: Sun, 15 Jul 2007 00:32:59 +0200
On Sat, Jul 14, 2007 at 10:22:52PM +0200, Miriam Ruiz wrote:
> I plan to upload version 3.9 to the archive. AFAIK, there shouldn't been
> ant problem with the theme, as it is original and, even if it tries to
> mimig DDR's, no TM is being enforced.

We discussed this on IRC, so I'll just put the short version here for the
bug log: This is completely impossible; 3.9 has lots of music and graphics
which is directly ripped from DDRMAX. 4.0 is probably going to be a lot
better, but last time I checked upstream was not done pruning the tree of
non-distributable elements yet.

FWIW, I'm still interested in maintaining StepMania in Debian, as soon as the
legal stuff is OK.

/* Steinar */
-- 
Homepage: http://www.sesse.net/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Miriam Ruiz" <little.miry@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>. Full text and rfc822 format available.

Message #76 received at 200715@bugs.debian.org (full text, mbox):

From: "Miriam Ruiz" <little.miry@gmail.com>
To: "Steinar H. Gunderson" <sgunderson@bigfoot.com>
Cc: 201448@bugs.debian.org, 200715@bugs.debian.org, "Andrew Lenharth" <alenhar2@uiuc.edu>
Subject: Re: I plan to upload version 3.9 to the archive (main)
Date: Sun, 15 Jul 2007 00:38:12 +0200
[Message part 1 (text/plain, inline)]
2007/7/15, Steinar H. Gunderson <sgunderson@bigfoot.com>:
>
> On Sat, Jul 14, 2007 at 10:22:52PM +0200, Miriam Ruiz wrote:
> > I plan to upload version 3.9 to the archive. AFAIK, there shouldn't been
> > ant problem with the theme, as it is original and, even if it tries to
> > mimig DDR's, no TM is being enforced.
>
> We discussed this on IRC, so I'll just put the short version here for the
> bug log: This is completely impossible; 3.9 has lots of music and graphics
> which is directly ripped from DDRMAX. 4.0 is probably going to be a lot
> better, but last time I checked upstream was not done pruning the tree of
> non-distributable elements yet.
>
> FWIW, I'm still interested in maintaining StepMania in Debian, as soon as
> the
> legal stuff is OK.
>

Yup, as we discussed in IRC, I totally give up StepMania, all yours :)

Miry
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Simon Ruggier" <simon80@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>. Full text and rfc822 format available.

Message #81 received at 200715@bugs.debian.org (full text, mbox):

From: "Simon Ruggier" <simon80@gmail.com>
To: "Miriam Ruiz" <little.miry@gmail.com>, 201448@bugs.debian.org
Cc: "Steinar H. Gunderson" <sgunderson@bigfoot.com>, 200715@bugs.debian.org, "Andrew Lenharth" <alenhar2@uiuc.edu>
Subject: Re: Bug#201448: I plan to upload version 3.9 to the archive (main)
Date: Sun, 15 Jul 2007 02:28:35 -0400
I happen to have written source packages for various versions of
stepmania with cdbs-style rules files, hosted at
http://www.eng.uwaterloo.ca/~sruggier/files/apt/.  There are three
versions - one of the 4.0 versions is from a snapshot, and the newest
version is checked directly out of CVS, and has a get-orig-source
target.  If the CVS code were stable enough, it might have been
tempting to upload it, but unfortunately, it seems pretty buggy.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Steinar H. Gunderson" <sgunderson@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>. Full text and rfc822 format available.

Message #86 received at 200715@bugs.debian.org (full text, mbox):

From: "Steinar H. Gunderson" <sgunderson@bigfoot.com>
To: Simon Ruggier <simon80@gmail.com>
Cc: Miriam Ruiz <little.miry@gmail.com>, 201448@bugs.debian.org, 200715@bugs.debian.org, Andrew Lenharth <alenhar2@uiuc.edu>
Subject: Re: Bug#201448: I plan to upload version 3.9 to the archive (main)
Date: Sun, 15 Jul 2007 10:22:17 +0200
On Sun, Jul 15, 2007 at 02:28:35AM -0400, Simon Ruggier wrote:
> I happen to have written source packages for various versions of
> stepmania with cdbs-style rules files, hosted at
> http://www.eng.uwaterloo.ca/~sruggier/files/apt/.  There are three
> versions - one of the 4.0 versions is from a snapshot, and the newest
> version is checked directly out of CVS, and has a get-orig-source
> target.  If the CVS code were stable enough, it might have been
> tempting to upload it, but unfortunately, it seems pretty buggy.

Well, thanks, but the packaging itself is not the problem -- both Miriam and
I already have local packages, and have had for some time. :-)

/* Steinar */
-- 
Homepage: http://www.sesse.net/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Simon Ruggier" <simon80@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>. Full text and rfc822 format available.

Message #91 received at 200715@bugs.debian.org (full text, mbox):

From: "Simon Ruggier" <simon80@gmail.com>
To: "Steinar H. Gunderson" <sgunderson@bigfoot.com>
Cc: "Miriam Ruiz" <little.miry@gmail.com>, 201448@bugs.debian.org, 200715@bugs.debian.org, "Andrew Lenharth" <alenhar2@uiuc.edu>
Subject: Re: Bug#201448: I plan to upload version 3.9 to the archive (main)
Date: Sun, 15 Jul 2007 13:13:24 -0400
On 7/15/07, Steinar H. Gunderson <sgunderson@bigfoot.com> wrote:
> Well, thanks, but the packaging itself is not the problem -- both Miriam and
> I already have local packages, and have had for some time. :-)

Sorry, I didn't mean to interfere with your efforts, but I thought
that some users would still find a source package useful, even if they
have to build it themselves, and the bug didn't have any other links
to source packages.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mathieu Stumpf <mathieu.stumpf@sicd.u-strasbg.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>. Full text and rfc822 format available.

Message #96 received at 200715@bugs.debian.org (full text, mbox):

From: Mathieu Stumpf <mathieu.stumpf@sicd.u-strasbg.fr>
To: 200715@bugs.debian.org
Subject: What's up
Date: Wed, 23 Jan 2008 12:22:13 +0100
So, what's happening with this stepmania package? Is anyone working on
it currently? Is it a waiting-for-legal-problem package right now?





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mathieu Stumpf <mathieu.stumpf@sicd.u-strasbg.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>. Full text and rfc822 format available.

Message #101 received at 200715@bugs.debian.org (full text, mbox):

From: Mathieu Stumpf <mathieu.stumpf@sicd.u-strasbg.fr>
To: 200715@bugs.debian.org
Cc: "Steinar H. Gunderson" <sgunderson@bigfoot.com>, "Miriam Ruiz <little.miry@gmail.com>, 201448@bugs.debian.org, ""200715@bugs.debian.org, Andrew Lenharth <alenhar2@uiuc.edu>, Simon "Ruggier <simon80@gmail.com>
Subject: stepmania debian package
Date: Wed, 23 Jan 2008 15:03:21 +0100
Hi all, I found that there was an ITP for stepmania for 1658 days now!
According to the thread[1], some of you already made packages, so what
the problem?

Best regards.





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Steinar H. Gunderson" <sgunderson@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>. Full text and rfc822 format available.

Message #106 received at 200715@bugs.debian.org (full text, mbox):

From: "Steinar H. Gunderson" <sgunderson@bigfoot.com>
To: Mathieu Stumpf <mathieu.stumpf@sicd.u-strasbg.fr>
Cc: 200715@bugs.debian.org, "Miriam Ruiz <little.miry@gmail.com>, 201448@bugs.debian.org, 200715@bugs.debian.org, Andrew Lenharth <alenhar2@uiuc.edu>, Simon Ruggier" <simon80@gmail.com>
Subject: Re: stepmania debian package
Date: Wed, 23 Jan 2008 15:09:00 +0100
On Wed, Jan 23, 2008 at 03:03:21PM +0100, Mathieu Stumpf wrote:
> Hi all, I found that there was an ITP for stepmania for 1658 days now!
> According to the thread[1], some of you already made packages, so what
> the problem?

The same as it's always been -- there is no free theme for Stepmania (yet).

/* Steinar */
-- 
Homepage: http://www.sesse.net/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mathieu Stumpf <mathieu.stumpf@sicd.u-strasbg.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>. Full text and rfc822 format available.

Message #111 received at 200715@bugs.debian.org (full text, mbox):

From: Mathieu Stumpf <mathieu.stumpf@sicd.u-strasbg.fr>
To: "Steinar H. Gunderson" <sgunderson@bigfoot.com>
Cc: 200715@bugs.debian.org, "Miriam Ruiz <little.miry@gmail.com>, 201448@bugs.debian.org, ""200715@bugs.debian.org, Andrew Lenharth <alenhar2@uiuc.edu>, Simon "Ruggier <simon80@gmail.com>
Subject: Re: stepmania debian package
Date: Wed, 23 Jan 2008 16:07:40 +0100
Le mercredi 23 janvier 2008 à 15:09 +0100, Steinar H. Gunderson a
écrit :
> On Wed, Jan 23, 2008 at 03:03:21PM +0100, Mathieu Stumpf wrote:
> > Hi all, I found that there was an ITP for stepmania for 1658 days now!
> > According to the thread[1], some of you already made packages, so what
> > the problem?
> 
> The same as it's always been -- there is no free theme for Stepmania (yet).
> 
> /* Steinar */

Isn't the whole stepmania program MIT licensed?

Anyway, if that's really the only problem, I should be able to design a
theme (which would be free of course!).

If I make such a theme, could you then release a package?





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Steinar H. Gunderson" <sgunderson@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andrew Lenharth <andrewl@debian.org>. Full text and rfc822 format available.

Message #116 received at 200715@bugs.debian.org (full text, mbox):

From: "Steinar H. Gunderson" <sgunderson@bigfoot.com>
To: Mathieu Stumpf <mathieu.stumpf@sicd.u-strasbg.fr>
Cc: 200715@bugs.debian.org, "Miriam Ruiz <little.miry@gmail.com>, 201448@bugs.debian.org, 200715@bugs.debian.org, Andrew Lenharth <alenhar2@uiuc.edu>, Simon Ruggier" <simon80@gmail.com>
Subject: Re: stepmania debian package
Date: Wed, 23 Jan 2008 16:13:14 +0100
On Wed, Jan 23, 2008 at 04:07:40PM +0100, Mathieu Stumpf wrote:
> Isn't the whole stepmania program MIT licensed?

You can't license what you don't own. The StepMania 3.9 theme has tons of
stuff directly ripped from Konami, for one.

> Anyway, if that's really the only problem, I should be able to design a
> theme (which would be free of course!).

Beware, this is a _large_ undertaking.

Upstream is trying to free the theme for 4.0, but there's still work to be
done here. I don't know the current status; I'm sure they would appreciate
help.

/* Steinar */
-- 
Homepage: http://www.sesse.net/




Changed Bug title to `RFP: stepmania -- rythm and dancing game' from `ITP: stepmania -- rythm and dancing game'. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. (Fri, 15 Feb 2008 11:36:02 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Andrew Lenharth <andrewl@debian.org>. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. (Fri, 15 Feb 2008 11:36:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, "Steinar H. Gunderson" <sgunderson@bigfoot.com>, Miriam Ruiz <little.miry@gmail.com>, <wnpp@debian.org>:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Message #123 received at 200715@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: Bug#200715 <200715@bugs.debian.org>
Subject: Re: Status: ITP: stepmania -- rythm and dancing game
Date: Fri, 15 Feb 2008 12:34:32 +0100
[Message part 1 (text/plain, inline)]
# "Orphaning" the ITP - Sesse, Baby, please grab it if you think it
# will eventually be packageable

retitle 200715 RFP: stepmania -- rythm and dancing game
noowner 200715
thanks

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Miriam Ruiz" <little.miry@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #128 received at 200715@bugs.debian.org (full text, mbox):

From: "Miriam Ruiz" <little.miry@gmail.com>
To: "Christoph Berg" <myon@debian.org>, 200715@bugs.debian.org
Subject: Re: Bug#200715: Status: ITP: stepmania -- rythm and dancing game
Date: Fri, 15 Feb 2008 14:19:37 +0100
2008/2/15, Christoph Berg <myon@debian.org>:
> # "Orphaning" the ITP - Sesse, Baby, please grab it if you think it
>  # will eventually be packageable

Any special reason why you're giving it up?

Miry




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Message #131 received at 200715@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: Miriam Ruiz <little.miry@gmail.com>
Cc: 200715@bugs.debian.org
Subject: Re: Bug#200715: Status: ITP: stepmania -- rythm and dancing game
Date: Sun, 17 Feb 2008 23:37:24 +0100
[Message part 1 (text/plain, inline)]
Re: Miriam Ruiz 2008-02-15 <4671dd0c0802150519v49de79een25beef0512a55d00@mail.gmail.com>
> 2008/2/15, Christoph Berg <myon@debian.org>:
> > # "Orphaning" the ITP - Sesse, Baby, please grab it if you think it
> >  # will eventually be packageable
> 
> Any special reason why you're giving it up?

On inspection of Andrew's packages (in fact, one, last upload 2003) I
had come to the conclusion he was MIA. I then orphaned the ITP along
with the package. There's nothing wrong with the ITP as such, it
should just be owned by someone who's actually working on it.

Sorry, should have been more verbose.

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `ITP: stepmania -- rythm and dancing game' from `RFP: stepmania -- rythm and dancing game'. Request was from Miriam Ruiz <little_miry@yahoo.es> to control@bugs.debian.org. (Mon, 18 Feb 2008 12:00:01 GMT) Full text and rfc822 format available.

Owner recorded as "Miriam Ruiz" <little_miry@yahoo.es>. Request was from Miriam Ruiz <little_miry@yahoo.es> to control@bugs.debian.org. (Mon, 18 Feb 2008 12:00:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Miriam Ruiz" <little_miry@yahoo.es>:
Bug#200715; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <little_miry@yahoo.es>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Miriam Ruiz" <little_miry@yahoo.es>. Full text and rfc822 format available.

Message #140 received at 200715@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: Christoph Berg <myon@debian.org>, Miriam Ruiz <little.miry@gmail.com>, "Steinar H. Gunderson" <sgunderson@bigfoot.com>
Cc: 200715@bugs.debian.org
Subject: RE: Bug#200715: Status: ITP: stepmania -- rythm and dancing game
Date: Mon, 18 Feb 2008 14:48:52 +0100 (CET)
--- Christoph Berg <myon@debian.org> escribió:

> Re: Miriam Ruiz 2008-02-15
> <4671dd0c0802150519v49de79een25beef0512a55d00@mail.gmail.com>
> > 2008/2/15, Christoph Berg <myon@debian.org>:
> > > # "Orphaning" the ITP - Sesse, Baby, please grab it if you think it
> > >  # will eventually be packageable
> > 
> > Any special reason why you're giving it up?
> 
> On inspection of Andrew's packages (in fact, one, last upload 2003) I
> had come to the conclusion he was MIA. I then orphaned the ITP along
> with the package. There's nothing wrong with the ITP as such, it
> should just be owned by someone who's actually working on it.

Thanks Myon!

Sesse, I've grabbed the ITP in behalf of the Games Team but it's yours if you
still feel like packaging it. Please tell me what you think :)

Greetings,
Miry



      ______________________________________________ 
¿Con Mascota por primera vez? Sé un mejor Amigo. Entra en Yahoo! Respuestas http://es.answers.yahoo.com/info/welcome




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Miriam Ruiz" <little_miry@yahoo.es>:
Bug#200715; Package wnpp. (Mon, 24 May 2010 19:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Miriam Ruiz" <little_miry@yahoo.es>. (Mon, 24 May 2010 19:09:10 GMT) Full text and rfc822 format available.

Message #145 received at 200715@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 200715@bugs.debian.org
Cc: control@bugs.debian.org
Subject: stepmania: changing back from ITP to RFP
Date: Mon, 24 May 2010 19:05:50 +0000
retitle 200715 RFP: stepmania -- rythm and dancing game
noowner 200715
thanks

Hi,

This is an automatic email to change the status of stepmania back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 18 months.

If you are still interested in adopting stepmania, please send a mail to
<control@bugs.debian.org> with:

 retitle 200715 ITP: stepmania -- rythm and dancing game
 owner 200715 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <200715@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team




Changed Bug title to 'RFP: stepmania -- rythm and dancing game' from 'ITP: stepmania -- rythm and dancing game' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:20:13 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "Miriam Ruiz" <little_miry@yahoo.es>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:20:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#200715; Package wnpp. (Mon, 23 Jul 2012 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 23 Jul 2012 19:45:03 GMT) Full text and rfc822 format available.

Message #154 received at 200715@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: 200715@bugs.debian.org
Subject: ITP - stepmania
Date: Mon, 23 Jul 2012 21:41:43 +0200
retitle 200715 ITP: stepmania -- rythm and dancing game
owner 200715 !
thanks

Hello,

I would like to take care of stepmania under the flag of the Debian
Games Team. If anyone is interested, you're most welcome to join the
party :)

I had a look at the v5.0 alpha 3, and it _seems_ that the
distributability issues from the v3.9 days are gone. An extensive
copyright check is still needed, though.

-- 
Etienne Millon



Changed Bug title to 'ITP: stepmania -- rythm and dancing game' from 'RFP: stepmania -- rythm and dancing game' Request was from Etienne Millon <etienne.millon@gmail.com> to control@bugs.debian.org. (Mon, 23 Jul 2012 19:45:09 GMT) Full text and rfc822 format available.

Owner recorded as Etienne Millon <etienne.millon@gmail.com>. Request was from Etienne Millon <etienne.millon@gmail.com> to control@bugs.debian.org. (Mon, 23 Jul 2012 19:45:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#200715; Package wnpp. (Tue, 21 Aug 2012 17:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 21 Aug 2012 17:00:06 GMT) Full text and rfc822 format available.

Message #163 received at 200715@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: 200715@bugs.debian.org
Subject: Re: Bug#200715: ITP - stepmania
Date: Tue, 21 Aug 2012 18:58:29 +0200
Just an update :

The previous fork known as sm-scc is going to be the "official"
stepmania 5.0. So I based my work on 5.0 alpha 3.

I put my effort on the following git repository :

https://github.com/emillon/stepmania-debian.git

(the repository is huge, so I'll put it on alioth only when it's done)

I started the copyright review. The code part seems OK (MIT-like) -
modulo a lot of embedded libraries. I haven't look at the assets yet.

-- 
Etienne Millon



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#200715; Package wnpp. (Mon, 07 Jan 2013 11:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 07 Jan 2013 11:42:03 GMT) Full text and rfc822 format available.

Message #168 received at 200715@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: 200715@bugs.debian.org
Subject: Re: Bug#200715: ITP - stepmania
Date: Mon, 7 Jan 2013 12:40:12 +0100
Small update (since wheezy is frozen, I've not worked a lot on it
since it's not the priority) :

I rebased on 5.0 beta 1. This version embeds less libraries, which
probably means that upstream is open to such issues.

I'll ask upstream about the new assets, but nothing seems to be ripped
from DDR (as it was in stepmania 3.x).

-- 
Etienne Millon



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:22:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.